=== debian/watch ===
version=4
 opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$// \
 http://wald.intevation.org/frs/?group_id=29 \
 .*/greenbone-security-assistant-(\d[\d.]*)\.tar\.gz$
