## greenbone-security-assistant 7.0.2%2Bdfsg.1

=== src/html/its/CMakeLists.txt ===
--- 
+++ 
@@ -24,13 +24,17 @@
 
 ## Install
 
-install (FILES favicon.gif gsad.xsl gsa-style.css
-               help.xsl omp.xsl
+install (FILES css/gsa-style.css
+               css/gsa-base.css
+         DESTINATION ${GSA_DATA_DIR}/its/css)
+
+install (FILES favicon.gif
+               gsad.xsl
+               help.xsl
+               omp.xsl
          DESTINATION ${GSA_DATA_DIR}/its)
 
-install (FILES login/login.html
-               gsa-style.css
-               favicon.gif
+install (FILES favicon.gif
          DESTINATION ${GSA_DATA_DIR}/its/login)
 
 install (FILES img/its_logo.png
