=== debian/changelog ===
greenbone-security-assistant (7.0.2+dfsg.1-2build1) artful; urgency=medium

  * No-change rebuild against latest libmicrohttpd

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 09 Jul 2017 13:50:43 -0400

greenbone-security-assistant (7.0.2+dfsg.1-2) unstable; urgency=medium

  * Move package from experimental to sid archive
  * Bump standards version to 4.0.0 

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Jun 2017 11:29:45 +0800

greenbone-security-assistant (7.0.2+dfsg.1-1~exp1) experimental; urgency=medium

  *  Import new upstream release
  *  Move to experimental archive

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 23 Mar 2017 19:01:12 +0800

greenbone-security-assistant (7.0.0+dfsg.1-1) UNRELEASED; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Mon, 14 Nov 2016 22:05:30 +0800

greenbone-security-assistant (6.0.11+dfsg.1-2) unstable; urgency=low

  * Fix upstream to make the build reproducible;
    thanks to Reiner Herrmann (Closes: #843110)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Sat, 05 Nov 2016 16:06:54 +0800
