=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Debian Security Tools Packaging Team <pkg-security-team@lists.alioth.debian.org>
 Uploaders: ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
-           SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>= 9.20151219),
+           SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 9.20160709~),
                dh-systemd,
-               cmake (>= 2.6),
+               cmake (>= 2.8),
                doxygen,
                libmicrohttpd-dev (>= 0.9.0),
-               libopenvas-dev (>= 8.0.7),
+               libopenvas-dev (>= 9),
                libxslt1-dev,
                pkg-config,
                xsltproc,
@@ -17,7 +17,7 @@
                libxml2-dev,
                flawfinder,
                splint
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://www.openvas.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-security/greenbone-security-assistant.git
 Vcs-Browser: https://anonscm.debian.org/git/pkg-security/greenbone-security-assistant.git
@@ -26,7 +26,7 @@
 Section: net
 Architecture: all
 Recommends: greenbone-security-assistant
-Depends: ${misc:Depends}, texlive-latex-extra, libjs-d3
+Depends: ${misc:Depends}, texlive-latex-extra
 Multi-Arch: foreign
 Description: architecture independent files for greenbone-security-assistant
  The Greenbone Security Assistant is a web application that
